import SeatLayout from ".";

export default {
  title: "Top-Level/Seat-layout",
  component: SeatLayout,
  argTypes: {
    onClick: { action: "onClick" },
    onChange: { action: "onChange" },
  },
};

export const seatlayout = {
  args: {
    seats: [
      [0, 1, 2, 3, 0, 4, 5, 6, 0],
      [7, 8, 9, 10, 0, 11, 12, 13, 14],
      [15, 16, 17, 18, 0, 19, 20, 21, 22],
      [23, 24, 25, 26, 0, 27, 28, 29, 30],
      [31, 32, 33, 34, 0, 35, 36, 37, 38],
      [39, 40, 41, 42, 0, 43, 44, 45, 46],
      [47, 48, 49, 50, 0, 51, 52, 53, 54],
      [0, 55, 56, 57, 0, 58, 59, 60, 0],
    ],
    reservedSeats: [1, 2, 45, 54],
    selectedSeats: [19, 20, 21],
  },
};
