import Layout from "../../Base/layout";
import Image from "../../../assets/conform.png";
import "./confirmation.css";

function Confirmation({ ticketCount, seats }) {
  return (
    <Layout>
      <div className="confirmation">
        <img src={Image} height={150} width="auto" />
        <h2>Booking Confirmed</h2>
        <h3>Ticket Count:{ticketCount}</h3>
        <h4>
          Seats:
          {seats.toString()}
        </h4>
        {/* <h3>Booking Id:{bookingId}</h3> */}
      </div>
    </Layout>
  );
}

export default Confirmation;
